Edit Delivery Note

Modifies an existing delivery note.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

All fields are optional, only the provided fields will be updated. Fields not specified in the request will keep their original values.

If the order_lines attribute is provided, the list of order lines informed will replace all existing order lines in the delivery note.

The created_by field cannot be updated, as it represents the original creator of the delivery note.

Path Params
string
required

The ID of the delivery note to update

Body Params

Used for updating a delivery note. All fields are optional - only provided fields will be updated.

purchase_order

The purchase order reference.

string

Delivery Note Number

date-time

Document Date/time

date-time

Delivery Date/time

string | null

Customer number

float | null

Delivery fee

order_lines
array of objects
length ≥ 1

List of delivery note order lines. If provided, will replace all existing order lines.

order_lines
integer
required

Line number of the item in the document

string
required

Supplier Article number

string
required

Article name

float
required

The primary delivered quantity (required). This is the authoritative count of what was delivered.

string | null
float | null

Optional. The quantity expressed in package units (e.g., number of boxes or crates).

float | null

Optional. The quantity expressed in base measurement units (e.g., kilograms, liters).

string | null
string | null
string | null
boolean
Defaults to false
float | null
string | null
string | null
float | null

Total line price (as stated on Delivery Note - if any)

string | null

VAT-code

returnables
array of objects

List of returnable items. If provided, replaces all existing returnables. If omitted, existing returnables are preserved.

returnables
Responses
204

Delivery note updated successfully

400

Bad request - validation error

404

Delivery note not found

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!